Skip to main content
POST
/
v1
/
seller
/
report
/
request
Request Report
curl --request POST \
  --url https://scx-sbx.api.jtl-software.com/v1/seller/report/request \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channel": "MYBESTDEALCOMDE",
  "sellerId": "4711",
  "reportType": "SELLER_INVENTORY",
  "options": {
    "ResultsAsChannelEvent": true
  },
  "startDate": "2023-12-25",
  "endDate": "2023-12-25"
}
'
{
  "sellerId": "4711",
  "channel": "MYBESTDEALCOMDE",
  "reportId": "910390cc-c3b3-45ba-8be2-ab1824b6c499",
  "created": true,
  "expiresIn": 172500
}

Authorizations

Authorization
string
header
required

Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL Customer Center. Usage format: Bearer <JWT>.

Body

application/json

Request to generate an asynchronous report (e.g. orders, returns, settlements) for the seller.

Seller request to generate a marketplace report (e.g. inventory, orders) for a specific channel.

channel
string
required

This is the unique Channel name.

Pattern: ^\w{5,15}$
Example:

"MYBESTDEALCOMDE"

sellerId
string
required

A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.

Pattern: ^\w{1,50}$
Example:

"4711"

reportType
enum<string>
required
Available options:
SELLER_INVENTORY
options
object
startDate
string<date> | null
endDate
string<date> | null

Response

Report request accepted; identifier returned for later download

Acknowledgement of a report request — returns the reportId, whether it is newly created (vs. deduplicated) and a TTL.

sellerId
string

A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.

Pattern: ^\w{1,50}$
Example:

"4711"

channel
string

This is the unique Channel name.

Pattern: ^\w{5,15}$
Example:

"MYBESTDEALCOMDE"

reportId
string

A system wide unique Id to identify and download a report

Example:

"910390cc-c3b3-45ba-8be2-ab1824b6c499"

created
boolean

Indicates if the report request was created as with new reportId. SCX Seller Api is doing a deduplication and will return value false if there is an existing not yet processed report with the same parameters. The reportId returned is same from the open report.

Example:

true

expiresIn
integer

Seconds until the report is deleted from the system. Default TTL is 48h.

Example:

172500